Get attribute definition
GET
/workspaces/{workspaceId}/attribute-definitions/{attributeDefinitionKey}
Get the specified attribute definition from the schema given its key.
Antwoord-payload
id
string
The UUID, primarily for internal reference
key
string
A user-specified key, primarily for client reference.
displayName
string
A human-readable name of the attribute.
description
string
A user-friendly description of the attribute.
cardinality
string
The cardinality configures how many values belong to the single key.
Possible values: one, many
type
string
The data type of the attribute.
Possible values: boolean, datetime, number, string
format
object
Onderliggende attributen tonen
format.type
string
verplicht
Possible values: emailAddress
format.type
string
verplicht
Possible values: phoneNumber
format.select
object
verplicht
Onderliggende attributen tonen
format.select.options
array of object
verplicht
Onderliggende attributen tonen
format.select.options.label
string
verplicht
Human-friendly label for the option
format.select.options.value
string
verplicht
Immutable string that will be stored in contact attributes
format.type
string
verplicht
Possible values: select
format.type
string
verplicht
Possible values: uuid
format.multiline
boolean
format.type
string
verplicht
Possible values: text
format.type
string
verplicht
Possible values: url
format.type
string
verplicht
Possible values: date
format.scale
integer
format.type
string
verplicht
Possible values: numberScale
pii
boolean
A flag to indicate whether this attribute is considered personally identifiable information.
readOnly
boolean
A flag to indicate whether this attribute may be updated after creation.
builtin
boolean
A flag to indicate whether this attribute is built-in. Built-in attributes are system-defined
and cannot be updated or deleted by end-users.
archived
boolean
A flag to indicate whether this attribute is archived.
indexMapping
object
Onderliggende attributen tonen
indexMapping.fields
array of object
Onderliggende attributen tonen
indexMapping.fields.name
string
indexMapping.fields.analyzer
string
Possible values: simple, standard, web, keyword, en, emailDomain, dayOfYear
indexMapping.fields.type
string
Possible values: string
createdAt
string
updatedAt
string
version
number
The version number of the attribute definition.
acl
array of object
An array of ACLs that define the access control for this attribute
Onderliggende attributen tonen
acl.roleId
string
The UUID role ID
acl.read
boolean
A flag to indicate role read access
acl.write
boolean
A flag to indicate role write access
Codevoorbeeld
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/attribute-definitions/{attributeDefinitionKey}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'Examples
Let's establish some of our data that will be used in the following examples:
- Workspace ID: a1405560-c8d3-4b1a-877d-3f449ad95352
- AccessKey: abcd
- Attribute Definition Key: countryCode
Get an attribute definition
In this example, we're fetching the attribute definition by its key.
Codevoorbeeld
curl -X GET "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/attribute-definitions/countryCode" \
-H "Authorization: AccessKey abcd" \
-H "Content-Type: application/json" \Codevoorbeeld
{
"key": "countryCode",
"displayName": "countryCode",
"description": "Country code",
"cardinality": "one",
"type": "string",
"pii": false,
"readOnly": false,
"builtin": false,
"archived": false,
"createdAt": "2024-11-26T15:00:00.000Z",
"updatedAt": "2024-11-26T15:00:00.000Z",
"group": "custom"
}